Skip to main content

List compromise scenario catalog generations

GET
/compromised-host/catalog/packs

Versions of the imported catalogs; active=true marks the generation selected by the current database.

Contract

Parameter
Value
Sectioncompromised-host
AuthenticationCookieAuth
Consumesnot required
Producesapplication/json

Parameters

0 parameters

No parameters are required.

Responses

3 responses

Status
Description
Type
200
Catalog generation listobject
401
Unauthorizedobject
500
Failed to list the generationsobject
  • {
      "cursor": {
        "count": 0,
        "currentPage": 0,
        "totalPages": 0,
        "totalRows": 0
      },
      "data": [
        {
          "active": true,
          "archiveSha256": "<string>",
          "builtAt": "<string>",
          "campaignCount": 0,
          "campaignsImported": 0,
          "campaignsRemoved": 0,
          "campaignsUpdated": 0,
          "contentSha256": "<string>",
          "createdAt": "<string>",
          "fileName": "<string>",
          "id": 0,
          "issuerID": 0,
          "managedSources": [
            "<string>"
          ],
          "size": 0,
          "version": "<string>"
        }
      ]
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }